localedef(1)

NAMN
localedef — kompilera lokaldefinitionsfiler

SYNOPSIS
localedef [flaggor] utdatasökväg
localedef --add-to-archive [flaggor] kompileringssökväg
localedef --delete-from-archive [flaggor] lokalnamn …
localedef --list-archive [flaggor]
localedef --help
localedef --usage
localedef --version

BESKRIVNING
Programmet localedef läser de indikerade filerna charmap och indata, kompilerar dem till binär form som kan användas snabbt av lokalfunktionerna i C-biblioteket (setlocale(3), localeconv(3), etc.) och placerar utdatan i utdatasökväg.

Argumentet utdatasökväg tolkas som följer:

•   Om utdatasökväg innehåller ett snedstreck (”/”) tolkas den som namnet på katalogen där utdatadefinitionerna skall sparas. I detta fall finns det en separat utdatafil för varje lokalkategori (LC_TIME, LC_NUMERIC och så vidare).

•   Om flaggan --no-archive ges är utdatasökvägen namnet på en underkatalog i /usr/lib/locale där de per kategori kompilerade filerna placeras.

•   Annars är utdatasökväg namnet på en lokal och den kompilerade lokaldatan läggs till till arkivfilen /usr/lib/locale/locale-archive. En lokalarkivfil är en minnesavbildad fil som innehåller alla lokaler systemet tillhandahåller; den används av alla lokaliserade program när miljövariabeln LOCPATH inte är satt.

I vilket fall som helst avbryter localedef om katalogen i vilken den försöker skriva lokalfiler inte redan har skapats.

Om ingen charmap-fil anges används värdet ANSI_X3.4-1968 (för ASCII) som standard. Om ingen indatafil anges, eller om den ges som ett bindestreck (-), läser localedef standard in.

FLAGGOR

  Flaggor för åtgärdsval
Några flaggor styr localedef till att göra något annat än att kompilera lokaldefinitioner. Endast en av dessa flaggor skall användas åt gången.

--add-to-archive
    Lägg till katalogerna kompileringssökväg till lokalarkivfilen. Katalogerna skall ha skapats innan körningen av localedef, genom att använda --no-archive.

--delete-from-archive
    Radera de namngivna lokalerna från lokalarkivfilen.

--list-archive
    Lista lokalerna som finns i lokalarkivfilen.

  Andra flaggor
Några av följande flaggor är meningsfulla endast för vissa åtgärder; generellt bör det vara uppenbart vilka. Observera att -f och -c är omvända mot vad man skulle kunna tro; det vill säga -f är inte detsamma som --force.

-f charmap-fil
--charmap=charmap-fil
    Ange filen som definierar teckenuppsättningen som används av indatafilen. Om charmap-filen innehåller ett snedstreckstecken (”/”) tolkas det som namnet på teckentabellen. Annars söks filen i den aktuella katalogen och standardkatalogen för teckentabeller. Om miljövariabeln I18NPATH är satt genomsöks även $I18NPATH/charmaps/ och $I18NPATH/ efter den aktuella katalogen. Standardkatalogen för teckentabeller skrivs ut med localedef --help.

-i indatafil
--inputfile=indatafil
    Ange lokaldefinitionsfilen att kompilera. Filen söks efter i den aktuella katalogen och standardkatalogen för lokaldefinitionsfiler. Om miljövariabeln I18NPATH är satt genomsöks även $I18NPATH/locales/ och $I18NPATH/ efter den aktuella katalogen. Standardkatalogen för lokaldefinitionsfiler skrivs ut med localedef --help.

-u repertoarfil
--repertoire-map=repertoarfil
    Läs avbildningar från symboliska namn till Unicode-kodpunkter från repertoarfil. Om repertoarfil innehåller ett snedstreckstecken (”/”) tolkas den som sökvägen till repertoartabellen. Annars söks filen i den aktuella katalogen och standardkatalogen för repertoartabeller. Om miljövariabeln I18NPATH är satt genomsöks även $I18NPATH/repertoiremaps/ och $I18NPATH/ efter den aktuella katalogen. Standardkatalogen för repertoartabeller skrivs ut med localedef --help.

-A aliasfil
--alias-file=aliasfil
    Använd aliasfil för att slå upp alias för lokalnamn. Det finns ingen standardaliasfil.

--force
-c
    Skriv utdatafilerna även om varningar genererades om indatafilen.

--verbose
-v
    Generera extra varningar om fel som normalt ignoreras.

--big-endian
    Generera utdata med rak byteordning.

--little-endian
    Generera utdata med omvänd byteordning.

--no-archive
    Använd inte lokalarkivfilen, skapa istället utdatasökväg som en underkatalog i samma katalog som lokalarkivfilen, och skapa separata utdatafiler för lokalkategorier i den. Detta är hjälpsamt för att förhindra uppdateringar av systemlokalarkivet från att skriva över anpassade lokaler skapade med localedef.

--no-hard-links
    Skapa inte hårda länkar mellan installerade lokaler.

--no-warnings=varningar
    Kommaseparerad lista med varningar att avaktivera. Varningar som stödjs är ascii och intcurrsym.

--posix
    Följ strikt POSIX. Implicerar --verbose. Denna flagga har för närvarande ingen effekt. Överensstämmelse med POSIX antas om miljövariabeln POSIXLY_CORRECT är satt.

--prefix=sökvägsnamn
    Sät prefixet att lägga till före det fullständiga arkivsökvägsnamnet. Som standard är prefixet tomt. Sätts prefixet till apa skulle arkivet placeras i apa/usr/lib/locale/locale-archive.

--quiet
    Undertryck alla notifieringar och varningar, och rapportera bara ödesdigra fel.

--replace
    Ersätt en lokal i lokalarkivfilen. Utan denna flagga uppstår ett fel om lokalen redan finns i arkivfilen.

--warnings=varningar
    Kommaseparerad lista med varningar att aktivera. Varningar som stödjs är ascii och intcurrsym.

--help
-?
    Skriv en användningssammanfattning och avsluta. Skriver även ut standardsökvägarna som används av localedef.

--usage
    Skriv en kort användningssammanfattning och avsluta.

--version
-V
    Skriv ut versionsnumret, licensen och friskrivningen från garanti för localedef.

SLUTSTATUS
Ett av följande slutvärden kan returneras av localedef:

0   Kommandot avslutade lyckat.

1   Varningar eller fel uppstod, utdatafiler skrevs.

4   Fel uppstod, ingen utdata skapades.

MILJÖ

POSIXLY_CORRECT
    Flaggan --posix antas om denna miljövariabel är satt.

I18NPATH
    En kolonseparerad lista av kataloger att söka i efter filer.

FILER

/usr/share/i18n/charmaps
    Den normala standardsökvägen till teckentabellen.

/usr/share/i18n/locales
    Den normala standardsökvägen för lokaldefinitionsfiler.

/usr/share/i18n/repertoiremaps
    Den vanliga sökvägen för repertoartabeller.

/usr/lib/locale/locale-archive
    Den vanliga standardplatsen för lokalarkiv.

/usr/lib/locale
    Den vanliga sökvägen för kompilerade individuella lokaldatafiler.

utdatasökväg/LC_ADDRESS
    En utdatafil som innehåller information om formatering av adresser och geografirelaterade saker.

utdatasökväg/LC_COLLATE
    En utdatafil som innehåller information om reglerna för att jämföra strängar.

utdatasökväg/LC_CTYPE
    En utdatafil som innehåller information om teckenklasser.

utdatasökväg/LC_IDENTIFICATION
    En utdatafil som innehåller metadata om lokalen.

utdatasökväg/LC_MEASUREMENT
    En utdatafil som innehåller information om lokalens måttenheter (metriska eller USA:s speciella).

utdatasökväg/LC_MESSAGES/SYS_LC_MESSAGES
    En utdatafil som innehåller information om språket meddelanden skall skrivas på, och hur ett bekräftande eller nekande svar ser ut.

utdatasökväg/LC_MONETARY
    En utdatafil som innehåller information om formatering av monetära värden.

utdatasökväg/LC_NAME
    En utdatafil som innehåller information om hälsningsfraser för personer.

utdatasökväg/LC_NUMERIC
    En utdatafil som innehåller information om formatering av ickemonetära numeriska värden.

utdatasökväg/LC_PAPER
    En utdatafil som innehåller information om inställningar relaterade till standardstorleken på papper.

utdatasökväg/LC_TELEPHONE
    En utdatafil som innehåller information om format att använda med telefontjänster.

utdatasökväg/LC_TIME
    En utdatafil som innehåller information om formatering av datum- och tidvärden.

STANDARDER
POSIX.1-2008.

EXEMPEL
Kompilera lokalfiler för finska i teckenuppsättningen UTF-8 och lägg till den till standardlokalarkivet med namnet fi_FI.UTF-8:

    localedef -f UTF-8 -i fi_FI fi_FI.UTF-8

Nästa exempel gör samma sak, men genererar filer in i katalogen fi_FI.UTF-8 vilken kan användas av program när miljövariabeln LOCPATH är satt till den aktuella katalogen (observera att det sista argumentet måste innehålla ett snedstreck):

    localedef -f UTF-8 -i fi_FI ./fi_FI.UTF-8

SE ÄVEN
locale(1), charmap(5), locale(5), repertoiremap(5), locale(7)

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.